Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_FIFO_Recv_Msg Class Reference

Receiver side for the record oriented C++ wrapper for UNIX FIFOs. More...

`#include <FIFO_Recv_Msg.h>`

Inheritance diagram for ACE_FIFO_Recv_Msg

[legend]
Collaboration diagram for ACE_FIFO_Recv_Msg:

[legend]
List of all members.

## Public Methods
| ACE_FIFO_Recv_Msg (void)
| Default constructor.
| ACE_FIFO_Recv_Msg (const ACE_TCHAR *rendezvous, int flags = O_CREAT | O_RDONLY, int perms = ACE_DEFAULT_FILE_PERMS, int persistent = 1, LPSECURITY_ATTRIBUTES sa = 0)
| Open up a record-oriented named pipe for reading.
int | open (const ACE_TCHAR *rendezvous, int flags = O_CREAT | O_RDONLY, int perms = ACE_DEFAULT_FILE_PERMS, int persistent = 1, LPSECURITY_ATTRIBUTES sa = 0)
| Open up a record-oriented named pipe for reading.
ssize_t | recv (ACE_Str_Buf &msg)
| Recv <msg> as an ACE_Str_Buf.
ssize_t | recv (void *buf, size_t len)
| Recv <msg> as a buffer.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Receiver side for the record oriented C++ wrapper for UNIX FIFOs.

## Constructor & Destructor Documentation

ACE_FIFO_Recv_Msg::ACE_FIFO_Recv_Msg ( | void )

| Default constructor.

ACE_FIFO_Recv_Msg::ACE_FIFO_Recv_Msg ( | const ACE_TCHAR * rendezvous,
| int flags = O_CREAT | O_RDONLY,
| int perms = ACE_DEFAULT_FILE_PERMS,
| int persistent = 1,
| LPSECURITY_ATTRIBUTES sa = 0 )

| Open up a record-oriented named pipe for reading.

## Member Function Documentation

void ACE_FIFO_Recv_Msg::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_FIFO_Recv.

int ACE_FIFO_Recv_Msg::open ( | const ACE_TCHAR * rendezvous,
| int flags = O_CREAT | O_RDONLY,
| int perms = ACE_DEFAULT_FILE_PERMS,
| int persistent = 1,
| LPSECURITY_ATTRIBUTES sa = 0 )

| Open up a record-oriented named pipe for reading. Reimplemented from ACE_FIFO_Recv.

ASYS_INLINE ssize_t ACE_FIFO_Recv_Msg::recv ( | void * buf,
| size_t max_len )

| Recv <msg> as a buffer. Reimplemented from ACE_FIFO_Recv.

ASYS_INLINE ssize_t ACE_FIFO_Recv_Msg::recv ( | ACE_Str_Buf & recv_msg )

| Recv <msg> as an ACE_Str_Buf.

## Member Data Documentation

ACE_FIFO_Recv_Msg::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_FIFO_Recv.

The documentation for this class was generated from the following files:

- FIFO_Recv_Msg.h
- FIFO_Recv_Msg.cpp
- FIFO_Recv_Msg.i